Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 454683 - Should Rate Limit Downloads
Summary: Should Rate Limit Downloads
Keywords:
Status: ASSIGNED
Alias: None
Product: Fedora
Classification: Fedora
Component: preupgrade
Version: rawhide
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Seth Vidal
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2008-07-09 18:08 UTC by Dylan Martin
Modified: 2013-03-13 05:48 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Enhancement
Doc Text:
Clone Of:
Environment:
Last Closed: 2009-07-14 16:29:31 UTC


Attachments (Terms of Use)

Description Dylan Martin 2008-07-09 18:08:42 UTC
Problem: preupgrade hogs my bandwidth.

preupgrade should allow users to limit the bandwidth consumed during the
preupgrade process.  I can't realistically keep working with preupgrade in the
background, so I basically have to run it at night or other times while I'm not
working.  Since one of the goals of preupgrade is to let it work in the
background while I'm working, I'd call this a bug.

Comment 1 Bug Zapper 2009-06-10 02:00:14 UTC
This message is a reminder that Fedora 9 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 9.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '9'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 9's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 9 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 2 Bug Zapper 2009-07-14 16:29:31 UTC
Fedora 9 changed to end-of-life (EOL) status on 2009-07-10. Fedora 9 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Comment 3 Rahul Sundaram 2009-07-14 16:40:09 UTC
reopening

Comment 4 Tony Foiani 2010-11-04 20:14:28 UTC
It's not immediately obvious, but it's possible to set the global bandwidth used by setting the "throttle" configuration variable in /etc/yum.conf.

The interaction of "throttle" and "bandwidth" is a bit confusing; the most straightforward way is to just set "throttle" to an absolute bytes/second number.  I'm using "throttle=200K" right now, and it seems to be doing the trick.

Although I first tried with "throttle=200k" [note lower-case "k"] and I didn't get an obvious error message, even though the setting seemed to be ignored.  Might be a documentation or config-parsing buglet.


Note You need to log in before you can comment on or make changes to this bug.